%global require_ibus_version 1.3.99
%global require_libhangul_version 0.1.0

Summary:    The Hangul engine for IBus input platform
Name:       ibus-hangul
Version:    1.5.5
Release:    1%{?dist}
License:    GPLv2+
URL:        https://github.com/libhangul/ibus-hangul
Source0:    https://github.com/libhangul/ibus-hangul/releases/download/%{version}/%{name}-%{version}.tar.xz

Patch3000:     ibus-hangul-setup-abspath.patch

BuildRequires: desktop-file-utils python3-devel gtk3-devel make
BuildRequires: pkgconfig ibus-devel >= %{require_ibus_version}
BuildRequires: gettext-devel, automake, libtool libhangul-devel >= %{require_libhangul_version}

Requires: python3-gobject python3
Requires: ibus >= %{require_ibus_version} libhangul >= %{require_libhangul_version}

%description
The Hangul engine for IBus platform. It provides Korean input method from
libhangul.

%package tests
Summary:        Tests for the %{name} package
Requires:       %{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
           --disable-static \
           --with-python=python3 \
           --enable-installed-tests \
           %{nil}

%make_build

%install
%make_install

%py_byte_compile %{python3} %{buildroot}%{_datadir}/ibus-hangul/setup

rm -f ${RPM_BUILD_ROOT}%{_bindir}/ibus-setup-hangul
sed -i 's!^Exec=ibus-setup-hangul!Exec=%{_libexecdir}/ibus-setup-hangul!' ${RPM_BUILD_ROOT}%{_datadir}/applications/ibus-setup-hangul.desktop

desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/ibus-setup-hangul.desktop

%find_lang %{name}

%check
make check \
    DISABLE_GUI_TESTS="ibus-hangul" \
    VERBOSE=1

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_libexecdir}/ibus-engine-hangul
%{_libexecdir}/ibus-setup-hangul
%{_datadir}/metainfo/*.metainfo.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/ibus-hangul
%{_datadir}/ibus/component/*
%{_datadir}/applications/ibus-setup-hangul.desktop
%{_datadir}/icons/hicolor/*/apps/*

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/ibus-hangul
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/ibus-hangul

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.5.5-1
- Upgrade to version 1.5.5

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.5.4-1
- initial build
